VectorLinux
October 22, 2014, 02:04:39 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1] 2 3
  Print  
Author Topic: KDE-4.6.2 and it dependencies  (Read 8003 times)
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« on: April 14, 2011, 12:45:17 am »

KDE-4.6.2 and it dependencies is in my contrib folder now...once it it available in VL testing repo pls help to test it... Smiley

This is the a sneak preview of my KDE-4.6.2 running on VL7B2.1



Uploaded with ImageShack.us

PS: Due to VL7B2.1 come with existing kdmrc which is not compatible with KDE-4.6.2. Pls remove /etc/kde/kdm/kdmrc before install. Thanks.

Quote
automoc4-0.9.88
phonon-4.5.0
pulseaudio-0.9.22
QtZeitgeist-0.7.0
rasqal-0.9.21
redland-1.0.12
libiodbc-3.52.7
soprano-2.6.0
shared-desktop-ontologies-0.6.0
strigi-git20110405
attica-0.2.0
apache-log4cxx-0.10.0
ca-certificates-20090814+nmu2
qca-2.0.3
libdbusmenu-qt-0.8.1
polkit-qt-1-0.99.0
grantlee-0.1.8
heimdal-1.4
kdelibs-4.6.2
kdebase-4.6.2
dotconf-1.0.13
espeak-1.45.03
festival-2.1
speech-dispatcher-0.7.1
kdeaccessibility-4.6.2
akonadi-1.5.2
kdepimlibs-4.6.2
qwt-5.2.1
qimageblitz-0.0.6
QScintilla-2.4.6
kdebindings-4.6.2
kdeadmin-4.6.2
openslp-1.2.1
ntrack-014
libssh-0.4.8
kdebase-runtime-4.6.2
google-gadgets-0.11.2
NetworkManager-0.8.3.999
libdmtx-0.7.2
cln-1.3.1
libqalculate-0.9.7
gpsd-2.95
kdebase-workspace-4.6.2
qjson-0.7.1
kdeutils-4.6.2
kdegraphics-4.6.2
libspectre-0.2.6
eigen-2.0.15
kdeartwork-4.6.2
ocaml-3.12.0
facile-1.1
openbabel-2.3.0
avogadro-1.0.1
cfitsio-3270
libindi-0.7.2
xplanet-1.2.2
kdeedu-4.6.2
libktorrent-1.1.0
libotr-3.2.0
libmsn-4.1
libgadu-1.10.1
libosip2-3.5.0
libeXosip2-3.5.0
ortp-0.16.5
mediastreamer-2.7.3
ilbc-rfc3951
msilbc-2.0.3
libVNCServer-0.9.8
oxygen-icons-4.6.2
kdenetwork-4.6.2
libggz-0.0.14.1
ggz-client-libs-0.0.14.1
qhull-2010.1
twisted-11.0.0
R-2.12.2
pyOpenSSL-0.11
zope-interface-3.6.1
kdegames-4.6.2
scim-1.4.7
kdeplasma-addons-4.6.2
libmusicbrainz-3.0.3
libofa-0.9.3
libtunepimp-0.5.3
kdemultimedia-4.6.2
kdetoys-4.6.2
kdewebdev-4.6.2
antlr-2.7.7
kdesdk-4.6.2
polkit-kde-agent-1-0.99.0
ktorrent-4.1.0
« Last Edit: April 14, 2011, 10:13:58 pm by hata_ph » Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #1 on: April 14, 2011, 07:59:04 am »

@hata.ph
re: Pls remove /etc/kde/kdm/kdmrc before install

Can this be made part of the doinst.sh file for kde 4.6.2, so that it is remove automatically when the package is installed.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #2 on: April 14, 2011, 06:35:42 pm »

VL don't use kdm and it shouldn't have a kdmrc come as default for VL7. I have spoken with Vec and he do agree to remove the default kdm setting from the VL7 for the coming release.
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #3 on: April 14, 2011, 10:23:09 pm »

I have moved all packages from you contrib folder to testing.

Please testers... bon appettit  Grin

Quote
VL don't use kdm and it shouldn't have a kdmrc come as default for VL7. I have spoken with Vec and he do agree to remove the default kdm setting from the VL7 for the coming release.

Ahh, I understand.

« Last Edit: April 14, 2011, 10:28:16 pm by stretchedthin » Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #4 on: April 14, 2011, 10:39:37 pm »

I need to rebuild all with mysql. Pls remove it until further notice...sorry about that
Logged
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #5 on: April 20, 2011, 04:54:06 pm »

I have rebuild kde-4.6.2 (build 2) with mysql support. It is in the testing repo. Pls try it...

I notice I cannot mount my secondary HDD in kde/dolphin/thunar...error as below

Quote
An error occurred while accessing '5.0 Gib Hard Drive', the system responed: org.freedesktop.UDisks.Error.PermissionDenied: Authentication is required

I cannot shutdown my VL7 from the shutdown button too...
« Last Edit: April 20, 2011, 04:59:50 pm by hata_ph » Logged
Joe1962
Administrator
Vectorian
*****
Posts: 2499



WWW
« Reply #6 on: April 21, 2011, 07:28:40 am »

You just had a run in with udisk/upower and the policikit stuff... Grin

You can do one of 2 options with udisks:

1- create a file named /etc/polkit-1/localauthority/50-local.d/11-my-polkit-udisks.pkla and add the following contents:
Code:
[udisks full access]
#Identity=unix-user:<your username>
Identity=unix-group:users #or better wheel and/or disk groups?
#Action=org.freedesktop.udisks.* #could be dangerous?
Action=org.freedesktop.udisks.drive-eject;org.freedesktop.udisks.filesystem-mount
ResultAny=yes
As you can see in the comments, you need to decide which group to give permissions to, it could even be just your own user's group. Also, I commented out the all actions line and allowed only mount and eject. I just checked and seem to be using the 2nd option here...

2-  edit /usr/share/polkit-1/actions/org.freedesktop.udisks.policy, change no to yes in the  and <allow_active> lines for <action id="org.freedesktop.udisks.filesystem-mount"> and <action id="org.freedesktop.udisks.drive-eject">. If it it doesn't work do it for the <allow_any> lines too, but I just checked and don't seem to need it here. Something like this:
Code:
  <action id="org.freedesktop.udisks.filesystem-mount">
    <description>Mount a device</description>
    <description xml:lang="da">Montér en enhed</description>
    <message>Authentication is required to mount the device</message>
    <message xml:lang="da">Autorisering er påkrævet for at montere et fil system</message>
    <defaults>
      <allow_any>no</allow_any>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>
  <action id="org.freedesktop.udisks.drive-eject">
    <description>Eject media from a device</description>
    <message>Authentication is required to eject media from the device</message>
    <message xml:lang="da">Autorisering er påkrævet for at skubbe medie ud af en enhed</message>
    <defaults>
      <allow_any>no</allow_any>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

A similar fix might work with upower, editing: /usr/share/polkit-1/actions/org.freedesktop.upower.policy. I misplaced my notes on how to create a /etc/polkit-1/localauthority/50-local.d/12-my-polkit-upower.pkla file.
« Last Edit: April 21, 2011, 07:33:35 am by Joe1962 » Logged

O'Neill (RE the Asgard): "Usually they ask nicely before they ignore us and do what they damn well please."
http://joe1962.bigbox.info
Running: VL 7 Std 64 + self-cooked XFCE-4.10
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #7 on: April 22, 2011, 03:37:25 am »

Installing polkit-kde-agent-1 solve the mount secondary hdd issue...but still cannot shutdown/logout from KDE-4.6.2
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #8 on: April 22, 2011, 12:56:59 pm »

Anything that uses sound in the kde4 seems to fail with the following warning.
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded


found this link as it seems to apply, but I thing the symbolic link will need a little tweeking for vl.
https://bugs.archlinux.org/task/11070
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #9 on: April 22, 2011, 04:47:50 pm »

Anything that uses sound in the kde4 seems to fail with the following warning.
WARNING: bool Phonon::FactoryPrivate::createBackend() phonon backend plugin could not be loaded


found this link as it seems to apply, but I thing the symbolic link will need a little tweeking for vl.
https://bugs.archlinux.org/task/11070

Quote
ln -s /usr/lib/kde4/plugins/phonon_backend /usr/lib/qt/plugins
do the trick...I will rebuild kdebase-runtime for that

btw...when i run juk from CLI it prompt error message

Quote
juk: error while loading shared libraries: libmusicbrainz.so.4: cannot open shared object file: No such file or directory

Seem like libmusicbrainz-3.0.3 is using /usr/lib/libmusicbrainz3.so.6. Install libmusicbrainz-2.1.5 from slapt-get/gslapt did solve the problem.
« Last Edit: April 22, 2011, 05:02:12 pm by hata_ph » Logged
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #10 on: April 22, 2011, 07:52:27 pm »

Turn off logoff sound allow me to shutdown/restart/logoff from kde-4.6.2. Do anyone have any idea of the root cause?

http://osdir.com/ml/kde-bugs-dist/2009-08/msg02999.html

EDIT: Installpkg phonon-backend-xine solve the cannot shutdown/logoff issue for kde-4.6.2. I have build the package and it is in my contrib folder. Some one pls upload move it to VL7 repo.

http://bugs.gentoo.org/show_bug.cgi?id=326393

So about the libmusicbrainz issue. Should i drop it or use the 2.1.5 version or create a symlink libmusicbrainz.so.4 pointing to libmusicbrainz3.so.6?
« Last Edit: April 22, 2011, 08:51:27 pm by hata_ph » Logged
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #11 on: April 23, 2011, 09:04:39 pm »

For the libmusicbranz error...I have rebuild libmusicbrainz to include a symlink. I have upload to my contrib folder. Some one pls move to the testing repo and remove the old libmusicbrainz-3.0.3-i586-2vl7. Thanks
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #12 on: April 23, 2011, 09:10:25 pm »

For the libmusicbranz error...I have rebuild libmusicbrainz to include a symlink. I have upload to my contrib folder. Some one pls move to the testing repo and remove the old libmusicbrainz-3.0.3-i586-2vl7. Thanks

Hi hata_ph.  I've upgraded libmusicbrainz with your symlinked version in the repo's.  Also, the other fixes you mentioned on the irc channel have been done as well as the changes to the kde4-meta package.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
hata_ph
Moderator
Vectorian
*****
Posts: 3258


-- Just being myself --


« Reply #13 on: April 23, 2011, 09:20:33 pm »

Thanks...do you encounter any sound issue with juk?
Logged
stretchedthin
Administrator
Vectorian
*****
Posts: 3780


WWW
« Reply #14 on: April 23, 2011, 10:52:34 pm »

Thanks...do you encounter any sound issue with juk?

Tested sound at startup, in juk and in kscd. All, worked great.   I'll test some more individual apps tomorrow, but it's looking really good.
Logged

Vectorlinux screencasts and  tutorials can be found at....
http://www.opensourcebistro.com/blog1
http://www.youtube.com/user/vid4ken?feature=mhee
Pages: [1] 2 3
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!